Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class ICardTemplateTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.ICardTemplateTO

All Implemented Interfaces:
  Serializable

public class ICardTemplateTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ICardTemplateTO()`
`ICardTemplateTO(String cardType, String description, ITemplateElementTO[] elements, String id, String name, String providerDescription, String providerID, String providerName)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCardType()` Gets the cardType value for this ICardTemplateTO.
`String` | `getDescription()` Gets the description value for this ICardTemplateTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`ITemplateElementTO[]` | `getElements()` Gets the elements value for this ICardTemplateTO.
`String` | `getId()` Gets the id value for this ICardTemplateTO.
`String` | `getName()` Gets the name value for this ICardTemplateTO.
`String` | `getProviderDescription()` Gets the providerDescription value for this ICardTemplateTO.
`String` | `getProviderID()` Gets the providerID value for this ICardTemplateTO.
`String` | `getProviderName()` Gets the providerName value for this ICardTemplateTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCardType(String cardType)` Sets the cardType value for this ICardTemplateTO.
`void` | `setDescription(String description)` Sets the description value for this ICardTemplateTO.
`void` | `setElements(ITemplateElementTO[] elements)` Sets the elements value for this ICardTemplateTO.
`void` | `setId(String id)` Sets the id value for this ICardTemplateTO.
`void` | `setName(String name)` Sets the name value for this ICardTemplateTO.
`void` | `setProviderDescription(String providerDescription)` Sets the providerDescription value for this ICardTemplateTO.
`void` | `setProviderID(String providerID)` Sets the providerID value for this ICardTemplateTO.
`void` | `setProviderName(String providerName)` Sets the providerName value for this ICardTemplateTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ICardTemplateTO

    public ICardTemplateTO()

### ICardTemplateTO

    public ICardTemplateTO(String cardType,
                           String description,
                           ITemplateElementTO[] elements,
                           String id,
                           String name,
                           String providerDescription,
                           String providerID,
                           String providerName)

Method Detail

### getCardType

    public String getCardType()

  Gets the cardType value for this ICardTemplateTO.

  Returns:
    cardType

### setCardType

    public void setCardType(String cardType)

  Sets the cardType value for this ICardTemplateTO.

  Parameters:
    `cardType` -

### getDescription

    public String getDescription()

  Gets the description value for this ICardTemplateTO.

  Returns:
    description

### setDescription

    public void setDescription(String description)

  Sets the description value for this ICardTemplateTO.

  Parameters:
    `description` -

### getElements

    public ITemplateElementTO[] getElements()

  Gets the elements value for this ICardTemplateTO.

  Returns:
    elements

### setElements

    public void setElements(ITemplateElementTO[] elements)

  Sets the elements value for this ICardTemplateTO.

  Parameters:
    `elements` -

### getId

    public String getId()

  Gets the id value for this ICardTemplateTO.

  Returns:
    id

### setId

    public void setId(String id)

  Sets the id value for this ICardTemplateTO.

  Parameters:
    `id` -

### getName

    public String getName()

  Gets the name value for this ICardTemplateTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this ICardTemplateTO.

  Parameters:
    `name` -

### getProviderDescription

    public String getProviderDescription()

  Gets the providerDescription value for this ICardTemplateTO.

  Returns:
    providerDescription

### setProviderDescription

    public void setProviderDescription(String providerDescription)

  Sets the providerDescription value for this ICardTemplateTO.

  Parameters:
    `providerDescription` -

### getProviderID

    public String getProviderID()

  Gets the providerID value for this ICardTemplateTO.

  Returns:
    providerID

### setProviderID

    public void setProviderID(String providerID)

  Sets the providerID value for this ICardTemplateTO.

  Parameters:
    `providerID` -

### getProviderName

    public String getProviderName()

  Gets the providerName value for this ICardTemplateTO.

  Returns:
    providerName

### setProviderName

    public void setProviderName(String providerName)

  Sets the providerName value for this ICardTemplateTO.

  Parameters:
    `providerName` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD